#include <stdio.h>

int main() {
    int m, n;
    scanf("%d",&m);
    scanf("%d",&n);

    int isPrime;
    int sum=0, min=0;

    for(int v=m; v<=n; v++) {
        if(v==1) continue;

        isPrime=1;
        for(int i=2; i*i<=v; i++) {
            if(v%i==0){
                isPrime=0;
                break;
            }
        }
        if(isPrime) {
            if(min==0) min=v;
            sum+=v;
        }
    }

    if(sum==0) printf("-1");
    else printf("%d\n%d",sum, min);

    return 0;
}